Skip to main content
POST
Create a tracking request custom field
Creates or updates a custom field on a tracking request. If a custom field with the specified api_slug already exists, it will be updated.

Path parameters

Request body

The tracking request is implied by the path, so do not send data.relationships.entity on this endpoint.

Authorization

Requires update permission on the tracking request.

Response

Returns 201 Created with the custom field resource on success.

Behavior

  • Uses find_or_initialize_by internally, so it creates if missing or updates if it exists
  • Values are validated against the definition’s data type
  • For enum fields, values are validated against the definition’s options

Example request

Example response

Authorizations

Authorization
string
header
required

Use a Terminal49 API key in the Authorization header with the Token prefix.

Authorization: Token YOUR_API_KEY

Path Parameters

tracking_request_id
string
required

Tracking request ID

Body

application/json
data
object

Response

201 - application/json

Created

data
Custom field · object